Subject: bug#25755: problem of "tail -F max-unchanged-stats "

From: "chuyifan" <[email-masked]>
Date: Thu, 16 Feb 2017 16:18:41 +0800

Hi:

I found a problem of tail -F in centos 6.7. The kernel version is
2.6.32-642.3.1.el6. I execute "tail -f --follow=name
--max-unchanged-stats=50 --sleep-interval=1 ./t" in a terminal and execute
echo command to append some content to file t. then I execute "mv t t1", the
"tail -f " show error message of "no such file t" immediately.

The parameter of "--max-unchanged-stats" seems to have no effect. But in
centos 5.6, things is different. The parameter of "--max-unchanged-stats"
take effect. So I want to know the reason. Thank you.